Bug 1399575 - Telemetry services ain'te disabled/removed after undercloud upgrade
Summary: Telemetry services ain'te disabled/removed after undercloud upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Pradeep Kilambi
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 10:33 UTC by Yurii Prokulevych
Modified: 2017-05-17 19:49 UTC (History)
7 users (show)

Fixed In Version: instack-undercloud-6.0.0-0.20170220135156.d695df8.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:49:05 UTC


Attachments (Terms of Use)
undercloud upgrade log (314.12 KB, text/plain)
2016-11-29 10:33 UTC, Yurii Prokulevych
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 433824 None None None 2017-02-14 17:52:00 UTC

Description Yurii Prokulevych 2016-11-29 10:33:49 UTC
Created attachment 1225776 [details]
undercloud upgrade log

Description of problem:
-----------------------
During undercloud upgrade from RHOS-9 to RHOS-10 telemetry services where disabled in undercloud.conf but still exist on undercloud and are in enabled state.

cat /home/stack/undercloud.conf
[DEFAULT]
# Network interface on the Undercloud that will be handling the PXE
# boots and DHCP for Overcloud instances. (string value)
local_interface = eth0
enable_telemetry = false

systemctl list-unit-files 'openstack-aodh*'
UNIT FILE                        STATE   
openstack-aodh-api.service       disabled
openstack-aodh-evaluator.service enabled 
openstack-aodh-listener.service  enabled 
openstack-aodh-notifier.service  enabled 

systemctl list-unit-files 'openstack-ceilometer*'
UNIT FILE                                 STATE   
openstack-ceilometer-api.service          enabled 
openstack-ceilometer-central.service      enabled 
openstack-ceilometer-collector.service    enabled 
openstack-ceilometer-notification.service enabled 
openstack-ceilometer-polling.service      disabled

rpm -qa | grep ceilo
openstack-ceilometer-polling-7.0.0-4.el7ost.noarch
openstack-ceilometer-api-7.0.0-4.el7ost.noarch
python-ceilometerclient-2.6.2-1.el7ost.noarch
python-ceilometer-7.0.0-4.el7ost.noarch
openstack-ceilometer-central-7.0.0-4.el7ost.noarch
puppet-ceilometer-9.4.0-2.el7ost.noarch
openstack-ceilometer-common-7.0.0-4.el7ost.noarch
python-ceilometer-tests-7.0.0-4.el7ost.noarch
openstack-ceilometer-notification-7.0.0-4.el7ost.noarch
python-ceilometermiddleware-0.5.1-1.el7ost.noarch
openstack-ceilometer-collector-7.0.0-4.el7ost.noarch

rpm -qa | grep aodh
openstack-aodh-evaluator-3.0.1-4.el7ost.noarch
puppet-aodh-9.4.1-1.el7ost.noarch
python-aodhclient-0.7.0-1.el7ost.noarch
openstack-aodh-listener-3.0.1-4.el7ost.noarch
python-aodh-tests-3.0.1-4.el7ost.noarch
python-aodh-3.0.1-4.el7ost.noarch
openstack-aodh-notifier-3.0.1-4.el7ost.noarch
openstack-aodh-common-3.0.1-4.el7ost.noarch
openstack-aodh-api-3.0.1-4.el7ost.noarch

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
puppet-tripleo-5.4.0-3.el7ost.noarch
openstack-tripleo-heat-templates-5.1.0-6.el7ost.noarch
openstack-tripleo-0.0.8-0.2.4de13b3git.el7ost.noarch
openstack-tripleo-ui-1.0.5-2.el7ost.noarch
openstack-tripleo-common-5.4.0-3.el7ost.noarch
openstack-tripleo-puppet-elements-5.1.0-2.el7ost.noarch
python-tripleoclient-5.4.0-2.el7ost.noarch
openstack-tripleo-image-elements-5.1.0-1.el7ost.noarch
openstack-tripleo-validations-5.1.0-5.el7ost.noarch
openstack-tripleo-heat-templates-compat-2.0.0-41.el7ost.noarch

instack-undercloud-5.1.0-4.el7ost.noarch


Steps to Reproduce:
1. Disable telemetry in indercloud.conf
2. Setup RHOS-10 repos
3. Disable RHOS-9 repos
4. Stop OpenStack services
5. Upgrade undercloud:

    openstack undercloud upgrade

Actual results:
---------------
Services are in 'inactive' state but still present on undercloud

Expected results:
-----------------
Services are stopped and disable if not removed


Additional info:
----------------
Virtual setup: undercloud, 3controllers, 2computes, 2swift.

Comment 1 Marios Andreou 2016-11-29 10:50:45 UTC
ack thanks for checking yprokule. I believe this is the intended behaviour, that is the aodh and ceilometer services on the undercloud are not started after the upgrade (i.e., they are 'inactive'). I don't think the instack-install-undercloud goes as far as actually systemctl disabling them.

i.e. as you note in comment #0 the services are in 'inactive' state.

Comment 2 Yurii Prokulevych 2016-11-29 11:00:31 UTC
After discussion with @Marios on irc - the drawback is that if undercloud is rebooted telemetry services are up-n-running again.

So it would be amazing to see telemetry service configured not to start on boot, when enable_telemetry is set to False.

Comment 3 Marios Andreou 2016-11-29 11:05:14 UTC
Thanks Yurii... so FYI/others looking here, we also have a Docs bug at BZ 1383923 with more info about the enable_telemetry and telemetry services during the 9..10 undercloud upgrade.

As Yurii points out with this BZ, though currently the 'set enable_telemetry to false to stop ceilometer and aodh from running on your upgraded undercloud' *does* work, it doesn't actually systemd disable the services.

Adding to the Deployment DFG for triage please @slagle needinfo spam sorry :( fwiw I don't think this is a blocker - imo a likely async fixup post GA

Comment 9 Sasha Smolyak 2017-05-11 15:00:48 UTC
Tested upgrade 10->11 with telemetry_disabled. Worked ok

Comment 10 errata-xmlrpc 2017-05-17 19:49:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.